Bug 1015937 - Need puppet agent and supporting packages in Satellite Tools repo
Need puppet agent and supporting packages in Satellite Tools repo
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Packaging (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Jason Montleon
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-06 21:01 EDT by Mike McCune
Modified: 2014-04-24 13:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:07:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McCune 2013-10-06 21:01:03 EDT
For the clients to get access to puppet we need to ensure that the Satellite Tools repositories all have puppet available to our managed clients.
Comment 4 Corey Welton 2013-10-21 15:49:37 EDT
Is it just 'puppet' we want, and/or are there specific packages we're going to look for?
Comment 5 Dominic Cleal 2013-10-24 14:56:45 EDT
(In reply to Corey Welton from comment #4)
> Is it just 'puppet' we want, and/or are there specific packages we're going
> to look for?

puppet is the top-level package, all others (facter, ruby-augeas etc) will be brought in as dependencies automatically.  Please just verify that you can provision a host with the tools repo, that the Puppet agent is installed after (rpm -q puppet) and reporting in Foreman (hosts page, should show as OK or Active with a recent report).
Comment 6 Og Maciel 2013-10-24 16:01:40 EDT
Verified:

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.8.25-1.el6sam.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.8.25-1.el6sam.noarch
* candlepin-tomcat6-0.8.25-1.el6sam.noarch
* elasticsearch-0.19.9-8.el6sat.noarch
* foreman-1.3.0-20.el6sat.noarch
* foreman-compute-1.3.0-20.el6sat.noarch
* foreman-libvirt-1.3.0-20.el6sat.noarch
* foreman-postgresql-1.3.0-20.el6sat.noarch
* foreman-proxy-1.3.0-3.el6sat.noarch
* katello-1.4.6-47.el6sat.noarch
* katello-all-1.4.6-47.el6sat.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.4-1.el6sat.noarch
* katello-cli-1.4.3-27.el6sat.noarch
* katello-cli-common-1.4.3-27.el6sat.noarch
* katello-common-1.4.6-47.el6sat.noarch
* katello-configure-1.4.7-7.el6sat.noarch
* katello-configure-foreman-1.4.7-7.el6sat.noarch
* katello-foreman-all-1.4.6-47.el6sat.noarch
* katello-glue-candlepin-1.4.6-47.el6sat.noarch
* katello-glue-elasticsearch-1.4.6-47.el6sat.noarch
* katello-glue-pulp-1.4.6-47.el6sat.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.4.4-4.el6sat.noarch
* openldap-2.4.23-31.el6.x86_64
* pulp-katello-plugins-0.2-1.el6sat.noarch
* pulp-nodes-common-2.3.0-0.22.beta.el6sat.noarch
* pulp-nodes-parent-2.3.0-0.22.beta.el6sat.noarch
* pulp-puppet-plugins-2.3.0-0.22.beta.el6sat.noarch
* pulp-rpm-plugins-2.3.0-0.22.beta.el6sat.noarch
* pulp-selinux-2.3.0-0.22.beta.el6sat.noarch
* pulp-server-2.3.0-0.22.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.0.7-1.el6sat.noarch
* signo-0.0.23-2.el6sat.noarch
* signo-katello-0.0.23-2.el6sat.noarch
Comment 7 Bryan Kearney 2014-04-24 13:07:10 EDT
This was verified and delivered with MDP2. Closing it out.

Note You need to log in before you can comment on or make changes to this bug.